Bug 1011320 - Screencasts limited to about 30 seconds
Screencasts limited to about 30 seconds
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-24 01:15 EDT by Ankur Sinha (FranciscoD)
Modified: 2016-09-01 11:30 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-01 11:30:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
recording 1 (1.70 MB, video/webm)
2013-09-24 01:17 EDT, Ankur Sinha (FranciscoD)
no flags Details
recording 2 (781.87 KB, video/webm)
2013-09-24 01:18 EDT, Ankur Sinha (FranciscoD)
no flags Details
recording 3 (492.76 KB, video/webm)
2013-09-24 01:18 EDT, Ankur Sinha (FranciscoD)
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 708660 None None None Never

  None (edit)
Description Ankur Sinha (FranciscoD) 2013-09-24 01:15:46 EDT
Description of problem:
When I make a screencast, it switches off by iteslf in about 30 seconds. 


Version-Release number of selected component (if applicable):
gnome-shell-3.9.92-1.fc20.x86_64

How reproducible:
Always

Steps to Reproduce:
1.ctrl alt R to start recording
2.just, do stuff
3.

Actual results:
after about 30 seconds, the recording icon disappears and the recording stops

Expected results:
shouldn't stop. I should be able to hit ctrl alt R again to make it stop

Additional info:
No errors in journalctl:

[asinha@ankur  Videos]$ journalctl /usr/bin/gnome-session --since "2013-09-23 15:00:00" --no-pager | egrep Recording
Sep 23 18:04:26 ankur.pc gnome-session[1185]: Recording to /home/asinha/Videos/Screencast from 23-09-13 18:04:26.webm
Sep 24 14:56:57 ankur.pc gnome-session[1185]: Recording to /home/asinha/Videos/Screencast from 24-09-13 14:56:57.webm
Sep 24 14:57:30 ankur.pc gnome-session[1185]: Recording to /home/asinha/Videos/Screencast from 24-09-13 14:57:30.webm
Sep 24 14:58:06 ankur.pc gnome-session[1185]: Recording to /home/asinha/Videos/Screencast from 24-09-13 14:58:06.webm
Sep 24 15:02:40 ankur.pc gnome-session[1185]: Recording to /home/asinha/Videos/Screencast from 24-09-13 15:02:40.webm
Sep 24 15:03:21 ankur.pc gnome-session[1185]: Recording to /home/asinha/Videos/Screencast from 24-09-13 15:03:21.webm

[asinha@ankur  Videos]$ ls Screencast\ from\ 24-09-13\ 1*
Screencast from 24-09-13 14:58:06.webm  Screencast from 24-09-13 15:02:40.webm  Screencast from 24-09-13 15:03:21.webm
Comment 1 Ankur Sinha (FranciscoD) 2013-09-24 01:17:40 EDT
Created attachment 802045 [details]
recording 1
Comment 2 Ankur Sinha (FranciscoD) 2013-09-24 01:18:20 EDT
Created attachment 802046 [details]
recording 2
Comment 3 Ankur Sinha (FranciscoD) 2013-09-24 01:18:55 EDT
Created attachment 802047 [details]
recording 3

3 recordings that just shut by themselves.
Comment 4 Ankur Sinha (FranciscoD) 2013-09-24 01:21:32 EDT
Reported upstream:

https://bugzilla.gnome.org/show_bug.cgi?id=708660
Comment 5 Ankur Sinha (FranciscoD) 2013-09-24 10:21:49 EDT
Upstream said this is intended behaviour. The upstream bug was closed. I'll close this as soon as I get some information on *why* this is so, and how it makes sense.
Comment 6 Fedora End Of Life 2015-05-29 05:26:44 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-06-29 08:26:48 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Shaun Appleton 2016-09-01 11:25:31 EDT
I see this happen on Fedora 24. 
I can readily reproduce this as follows:

Start screencast using shift + ctrl + alt + R
The screencast lasts about 20-30s before stopping without any interaction from me.

What can I provide to help to troubleshoot this?
Comment 9 Shaun Appleton 2016-09-01 11:30:21 EDT
Forget it

I see (from https://bugzilla.gnome.org/show_bug.cgi?id=708660 ) it is due to the default setting is set to 30s

and using

$ gsettings set org.gnome.settings-daemon.plugins.media-keys max-screencast-length 600

re-sets the default

I have tested this and is works.

closing now

Note You need to log in before you can comment on or make changes to this bug.